var isConf;

mui.plusReady(function() {
	mui('.mui-scroll-wrapper').scroll({
		deceleration: 1 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
	});
	var self = plus.webview.currentWebview();
	isConf = self.isConf;
	if(self.isConf == 4) {
		document.getElementById("edit_btn").style.display = "none";
		console.log("hidden");
	}
	document.getElementById("content").innerText = self.content;
	document.getElementById("title").innerText = self.summary;
	document.getElementById("day-left").innerText = self.resultStartdate;
	document.getElementById("day-right").innerText = self.resultEnddate;
	//清空缓存数据
	localStorage.removeItem("content");
	localStorage.removeItem("title");
	localStorage.removeItem("day-left");
	localStorage.removeItem("day-right");
	localStorage.removeItem("planId");
	// 数据写入缓存
	localStorage.setItem("content", self.content);
	localStorage.setItem("title", self.summary);
	localStorage.setItem("day-left", self.resultStartdate);
	localStorage.setItem("day-right", self.resultEnddate);
	localStorage.setItem("planId", self.planId);
})

// 编辑按钮点击
function edit() {

	if(self.isConf == 4) {
		mui.alert("不可编辑", "提示");
		return;
	}
	mui.openWindow({
		url: "edit_detail2.html",
		id: "edit_detail2.html",
		styles: {},
		extras: {
			// 跳转页面 传值
			resultStartdate: localStorage.getItem("day-left"),
			resultEnddate: localStorage.getItem("day-right"),
			summary: localStorage.getItem("title"),
			content: localStorage.getItem("content"),
			planId: localStorage.getItem("planId"),
		},
		createNew: false, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
		show: {
			autoShow: true //页面loaded事件发生后自动显示，默认为true
		},
		waiting: {
			autoShow: true, //自动显示等待框，默认为true
			title: '正在加载...' //等待对话框上显示的提示内容
		}
	})

}