//初始化方法
(function($) {
	$.init();
	var result = $('#result')[0];
	var btns = $('.btntime');
	btns.each(function(i, btn) {
		btn.addEventListener('tap', function() {
			var optionsJson = '{"type":"date"}';
			var options = JSON.parse(optionsJson);
			var id = this.getAttribute('id');
			var picker = new $.DtPicker(options);
			picker.show(function(rs) {
				result.innerText = "" + rs.text; //返回时间字符串
				picker.dispose();
			});
		}, false);
	});
})(mui);
//plus加载完成后运行
mui.plusReady(function() {
	mui('.mui-scroll-wrapper').scroll({
		deceleration: 1 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
	});
	console.log("+++++++++++++在这里 History.js+++++++++")
	var self = plus.webview.currentWebview();
	localStorage.setItem("flowFullName", self.flowFullName); //当前流程
	localStorage.setItem("priority", self.priority); //紧急程度
	localStorage.setItem("activityName", self.activityName);
	document.getElementById("taskName").innerText = self.taskName;
	
	var params = {
		userId : ""+localStorage.getItem("currentuserId"),
		archivesId: self.params.taskId,
		flowType: ""+localStorage.getItem("flowType")
	}
	var restr = tool_ajax_parameter_History("getArchive", getArchive, params); //调用带有参数的ajax获得详情并调用回调方法getArchive
	if(restr == "false") {
		mui.currentWebview.close();
	}
})
mui.init({
	statusBarBackground: '#FFFFFF',
	swipeBack: false,
	gestureConfig: {
		doubletap: true
	},

});
//显示附件数量默认为2
var listshownum = 2;
//侧滑容器父节点
var offCanvasWrapper = mui('#offCanvasWrapper');
//主界面容器
var offCanvasInner = offCanvasWrapper[0].querySelector('.mui-inner-wrap');
//菜单容器
var offCanvasSide = document.getElementById("offCanvasSide");

//移动效果是否为整体移动
var moveTogether = false;
//侧滑容器的class列表，增加.mui-slide-in即可实现菜单移动、主界面不动的效果；
var classList = offCanvasWrapper[0].classList;
classList.add('mui-slide-in');
//重写返回方法
mui.back = function() {
	plus.webview.currentWebview().opener().evalJS("pullupRefresh()");
	mui.currentWebview.close();
}
//主界面和侧滑菜单界面均支持区域滚动；
mui('#offCanvasSideScroll').scroll();
//			mui('#offCanvasContentScroll').scroll();
//实现ios平台的侧滑关闭页面；
if(mui.os.plus && mui.os.ios) {
	offCanvasWrapper[0].addEventListener('shown', function(e) { //菜单显示完成事件
		plus.webview.currentWebview().setStyle({
			'popGesture': 'none'
		});
	});
	offCanvasWrapper[0].addEventListener('hidden', function(e) { //菜单关闭完成事件
		plus.webview.currentWebview().setStyle({
			'popGesture': 'close'
		});
	});
}
var flag_plist; //总部收文领导审核   审批意见是否显示判断依据
var list; //附件列表全局变量
var mobplist; //全流程 全局变量
var censorsign; //审签情况 全局变量
var returnFlagstr = ""; //跟踪落实状况
//读取待办详情回调方法
function getArchive(data) {
	if(data == "false") {
		alert("网络错误,请稍后重试!");
		var web = plus.webview.currentWebview();
		web.close();
		return;
	}
	//				alert(JSON.stringify(data));
	data.mobileArchive.status = localStorage.getItem("activityName");
	//				alert(data.mobileArchive.status);
	//				alert(JSON.stringify(data.mobileArchive.archivesId));
	if(data.success == "0") { //当前流程无效判断1
		mui.toast("数据异常！");
		var web = plus.webview.currentWebview();
		document.getElementById("whitdiv").style.display = "none"; //隐藏等待界面
		web.close();
		return;
	}
	//情况缓存防止加载错误
	localStorage.removeItem("cbjson");
	localStorage.removeItem("ehjsonStr");
	localStorage.removeItem("perjson");
	localStorage.removeItem("depjson");
	localStorage.removeItem("redepjson");
	localStorage.removeItem("FwoSponsorid");
	localStorage.removeItem("FwoSponsorname");
	localStorage.removeItem("DifferentencyclicLeaderIds");
	localStorage.removeItem("DifferentencyclicLeaderNames");
	//清空并写入数据
	localStorage.removeItem("taskId"); //将任务id情况
	localStorage.setItem("taskId", data.taskId); //将任务id写入缓存
	localStorage.removeItem("proType"); //将文种类型缓存清空
	localStorage.setItem("proType", data.mobileArchive.proType); //将文种类型写入缓存
	localStorage.removeItem("archivesId"); //将公文id缓存清空
	localStorage.setItem("archivesId", data.mobileArchive.archivesId); //将公文id写入缓存
	localStorage.removeItem("status"); //将公文id缓存清空
	localStorage.setItem("status", data.mobileArchive.status); //将公文id写入缓存
	localStorage.removeItem("privacyLevel"); //隐私级别清空
	localStorage.setItem("privacyLevel", data.mobileArchive.privacyLevel); //隐私级别写入
	localStorage.removeItem("confId"); //会议ID清空
	localStorage.setItem("confId", data.mobileArchive.confId); //会议ID写入
	localStorage.removeItem("accept"); //清空已转发部门
	localStorage.setItem("accept", data.mobileArchive.accept); //写入已转发部门
	Sign_Department(data.mobileArchive, "no");
	var flowFullName = localStorage.getItem("flowFullName"); //flowFullName全局变量获取
	//根据文种类型判断文号字段
	if(IndexStr("发文", flowFullName) >= 0) {
		document.getElementById("archivesNoDept").innerText = "处室文号：" + data.mobileArchive.archivesNoDept;
	}
	if(flowFullName == "社发文" || flowFullName == "部门发文" || IndexStr("传真", flowFullName) >= 0 || IndexStr("通函", flowFullName) >= 0) {
		document.getElementById("archivesNoDept").innerText = "处室文号：" + data.mobileArchive.archivesNoDept;
	}
	if(IndexStr("收文", flowFullName) >= 0) {
		document.getElementById("archivesNoDept").innerText = "收文编号：" + data.mobileArchive.archivesNo;
	}
	if(IndexStr("签报", flowFullName) >= 0) {
		document.getElementById("archivesNoDept").innerText = "部门文号：" + data.mobileArchive.archivesNo;
	}
	if(IndexStr("活动", flowFullName) >= 0) {
		document.getElementById("issuer").innerText = "经办人：" + data.mobileArchive.operatorName; //将经办人数据写入到页面
		document.getElementById("archivesNoDept").innerText = "活动地点：" + data.mobileArchive.activityAddress; //写入活动地点
		document.getElementById("taskName").innerText += "" + data.mobileArchive.startTimeFormat; //标题末尾添加时间
		if(data.mobileArchive.proType == "23" && (data.mobileArchive.activityAddress == "" || data.mobileArchive.activityAddress == " ")) {
			document.getElementById("archivesNoDept").innerText == "";
		}

	} else if(IndexStr("会议", flowFullName) >= 0) {
		document.getElementById("issuer").innerText = "经办人：" + data.mobileArchive.operatorName + "(" + data.mobileArchive.createTel + ")"; //将经办人数据写入到页面
		document.getElementById("archivesNoDept").innerText = "会议地点：" + data.mobileArchive.roomName; //写入会议地点
		document.getElementById("taskName").innerText += "" + data.mobileArchive.startTimeFormat; //标题末尾添加时间
	} else {
		if(IndexStr("(", data.mobileArchive.issuer) >= 0 || data.mobileArchive.createTel == " ") {
			document.getElementById("issuer").innerText = "拟稿人：" + data.mobileArchive.issuer; //将拟稿人数据写入到页面
		} else {
			document.getElementById("issuer").innerText = "拟稿人：" + data.mobileArchive.issuer + "(" + data.mobileArchive.createTel + ")"; //将拟稿人数据写入到页面,并添加拟稿人电话
		}
	}
	var height = document.getElementById("header").getBoundingClientRect().height; //获得头部高度
	var reheight = document.getElementById("mui-scroll").getBoundingClientRect().height + height; //获得问文号、拟稿人高度
	document.getElementById("mui-scroll").style.paddingTop += height + "px"; //将主体内填充头部加上文号拟稿人的高度
	document.getElementById("mui-scroll").style.paddingBottom += "60px"; //内填充底部按钮高度
	list = data.mobileArchive.doclist; //给附件列表的全局变量赋值
	listshow(listshownum); //调用显示附件列表方法
	mobplist = data.mobileArchive.plist; //获得手机端集合
	censorsign = data.mobileArchive.leaderComment; //获取审签情况字符串
	if(localStorage.getItem("switches_active") == "false") {
		showleaderComment(censorsign); //显示审签情况
	} else {
		showplist(data.mobileArchive.plist); //显示批示
	}
	showcontrol(data.mobileArchive, flowFullName); //根据步骤判断要显示的控件和参数
	document.getElementById("whitdiv").style.display = "none"; //隐藏等待界面
}
//根据步骤判断要显示的控件和参数
function showcontrol(data, flowFullName) {
 
 document.getElementById("title_text").innerText = flowFullName;
		var Department_audit_dep_footer = document.getElementById("Department_audit_dep_footer"); 
		var Department_audit_dep_footer_addbtn = document.getElementById("Department_audit_dep_footer_addbtn");
		onlyshowInstruction_sequence(data); //显示批示顺序,不可更改
		 
}
//显示会议详情
function showConference(data) {
//	console.log(JSON.stringify(data));
	var activities = document.getElementById("div_Conference"); //显示活动详情
	activities.style.display = "block";
	document.getElementById("div_activities_activityComperename").innerHTML = "" + data.compereName; //会议主持人
	if(document.getElementById("div_activities_activityComperename").innerHTML == "" || document.getElementById("div_activities_activityComperename").innerHTML == " " || document.getElementById("div_activities_activityComperename").innerHTML == "undefined") {
		document.getElementById("div_activities_activityComperename").innerHTML = "暂无";
	}
	document.getElementById("div_Conference_confContent").innerHTML = "" + data.confContent; //会议概要
	if(document.getElementById("div_Conference_confContent").innerHTML == "" || document.getElementById("div_Conference_confContent").innerHTML == " " || document.getElementById("div_Conference_confContent").innerHTML == "undefined") {
		document.getElementById("div_Conference_confContent").innerHTML = "暂无";
	}
	document.getElementById("div_Conference_attendUsersName").innerHTML = "" + data.attendUsersName; //参会人员
	if(document.getElementById("div_Conference_attendUsersName").innerHTML == "" || document.getElementById("div_Conference_attendUsersName").innerHTML == " " || document.getElementById("div_Conference_attendUsersName").innerHTML == "undefined") {
		document.getElementById("div_Conference_attendUsersName").innerHTML = "暂无";
	}
	document.getElementById("Enclosure_Undertake_input_text").innerHTML = "参加人选择";
	document.getElementById("Contractors").style.display = "block"; //显示参加人
	document.getElementById("Next-footer").style.display = "block"; //显示继续流转底部按钮
	return;
}
//显示活动详情
function showactivities(data) {
	var activities = document.getElementById("div_activities"); //显示活动详情
	activities.style.display = "block";
	document.getElementById("Enclosure_Undertake_input_text").innerHTML = "参加人选择";
	document.getElementById("Contractors").style.display = "block"; //显示承办人
	localStorage.removeItem("cbjson"); //清空缓存
	localStorage.setItem("activityId", data.activityId); //写入公文id
	localStorage.setItem("curTaskName", data.curTaskName); //写入当前节点名称
	document.getElementById("div_activities_mainDeptName").innerHTML = "" + data.mainDeptName; //主办部门
	if(document.getElementById("div_activities_mainDeptName").innerHTML == "" || document.getElementById("div_activities_mainDeptName").innerHTML == " " || document.getElementById("div_activities_mainDeptName").innerHTML == "undefined") {
		document.getElementById("div_activities_mainDeptName").innerHTML = "暂无";
	}
	document.getElementById("div_activities_activityComperenameHost").innerHTML = "" + data.activityComperename; //活动组织者
	if(document.getElementById("div_activities_activityComperenameHost").innerHTML == "" || document.getElementById("div_activities_activityComperenameHost").innerHTML == " " || document.getElementById("div_activities_activityComperenameHost").innerHTML == "undefined") {
		document.getElementById("div_activities_activityComperenameHost").innerHTML = "暂无";
	}
	document.getElementById("div_activities_deptNames").innerHTML = "" + data.deptNames; //内部参加部门
	if(document.getElementById("div_activities_deptNames").innerHTML == "" || document.getElementById("div_activities_deptNames").innerHTML == " " || document.getElementById("div_activities_deptNames").innerHTML == "undefined") {
		document.getElementById("div_activities_deptNames").innerHTML = "暂无";
	}
	document.getElementById("div_activities_activityAttendusername").innerHTML = "" + data.activityAttendusername; //内部参加人员
	if(document.getElementById("div_activities_activityAttendusername").innerHTML == "" || document.getElementById("div_activities_activityAttendusername").innerHTML == " " || document.getElementById("div_activities_activityAttendusername").innerHTML == "undefined") {
		document.getElementById("div_activities_activityAttendusername").innerHTML = "暂无";
	}
	document.getElementById("div_activities_activityContent").innerHTML = "" + data.activityContent; //
	if(document.getElementById("div_activities_activityContent").innerHTML == "" || document.getElementById("div_activities_activityContent").innerHTML == " " || document.getElementById("div_activities_activityContent").innerHTML == "undefined") {
		document.getElementById("div_activities_activityContent").innerHTML = "暂无";
	}
	document.getElementById("Next-footer").style.display = "block"; //显示继续流转底部按钮
}
//显示跟踪落实
function showreturnFlag() {
	document.getElementById("div_Tracking").style.display = "block";
}
//显示会签部门
function Sign_Department(data, show) {
	var Sign_Department_div = document.getElementById("Sign-Department"); //获取会签部门div的id
	if(show != "no") {
		Sign_Department_div.style.display = "block"; //显示会签部门
	}
	var Sign = {};
	var result_Ids = data.countersignDeptIds.split(","); //以逗号分隔所有ID
	var result_Names = data.countersignDeptNames.split(","); //以逗号分隔所有name
	for(var i = 0; i < result_Ids.length; i++) { //循环赋值,将id和name赋值到全局变量
		if(result_Ids[i] == "" || (result_Ids[i] == " ")) {
			continue;
		}
		var item = result_Names[i];
		Sign[item + ""] = result_Ids[i] + "";
	}
	Sign = JSON.stringify(Sign);
	localStorage.setItem("ehjsonStr", Sign);
	loaddep("ehjsonStr"); //显示部门列表
}

function enddatashow(data) {
	var result = document.getElementById("result");

	if(data.requireTimeFormat == " " || data.requireTimeFormat == "") {
		result.innerText = "请选择";
	} else {
		result.innerText = data.requireTimeFormat + "";
	}
	document.getElementById("enddata").style.display = "block"; //显示截止时间
}

function showContractors(data) {
	document.getElementById("Contractors").style.display = "block"; //显示承办人
	localStorage.removeItem("cbjson"); //清空缓存
}

function showCirculated(data) {
	document.getElementById("Circulated").style.display = "block"; //显示传阅人
	localStorage.removeItem("cyjson"); //清空缓存
}

function showMeeting() {
	document.getElementById("Meeting").style.display = "block"; //显示是否上会
}
//显示批示顺序(不可更改)
function onlyshowInstruction_sequence(data) {
	console.log("___________________" + data.historySn[0]);
	console.log("___________________" + data.historySn[1]);
	localStorage.setItem("DifferentencyclicLeaderIds", data.historySn[0]);
	localStorage.setItem("DifferentencyclicLeaderNames", data.historySn[1]);
	var Instruction_sequence_onlyshow = document.getElementById("Instruction-sequence-onlyshow"); //获得批示顺序div的id
	Instruction_sequence_onlyshow.style.display = "block"; //显示批示顺序
	var Sign = {};
	localStorage.removeItem("perjson"); //删除批示顺序全局变量中的数据
	//判断返回的批示顺序是否为空
	if(data.historySn[0] == undefined || data.historySn[0] == "" || data.historySn[0] == " ") {
		document.getElementById("Instruction-sequence-onlyshow").style.display = "none"; //没有数据暂时不显示
		return; //跳出方法
	}
	var idsStr = "";
	var result_encyclicLeaderIds = "";
	var result_encyclicLeaderNames = "";
	idsStr = data.encyclicLeaderIds.indexOf(","); //按逗号截取返回数据
	result_encyclicLeaderIds = data.historySn[0].split(","); //按逗号截取id
	result_encyclicLeaderNames = data.historySn[1].split(","); //按逗号截取name
	var pertext = "";
	//				alert(result_encyclicLeaderNames.length);
	for(var i = 0; i < result_encyclicLeaderNames.length; i++) { //循环赋值
		if(i == 20) {
			return;
		}
		if(result_encyclicLeaderNames[i] == "") {
			continue;
		}
		var itemname = result_encyclicLeaderNames[i];
		if(IndexStr(localStorage.getItem("username"), itemname) >= 0) {
			var itemflag = false;
			for(var j = i + 1; j < result_encyclicLeaderNames.length; j++) {
				if(IndexStr(localStorage.getItem("username"), result_encyclicLeaderNames[j]) >= 0) {
					itemflag = true;
				}
			}
			if(itemflag == false) {
				itemname = "<span style='color:#149CFF'>" + result_encyclicLeaderNames[i] + "</span>";
			}
			console.log("" + pertext);
		}
		if(i == 0) {
			pertext += "" + itemname;
			console.log("" + pertext);
		} else {
			pertext += "," + itemname;
			console.log("" + pertext);
		}
	}
	if(pertext != "" || pertext != " ") {
		document.getElementById("Enclosure_setpersonnel_input-onlyshow").innerHTML = pertext;
	} else {
		document.getElementById("Enclosure_setpersonnel_input-onlyshow").innerHTML = "无";
	}
}
//显示批示顺序
function Instruction_sequence(data, flag) {
	if(flag == "false") {
		var Instruction_sequence_div = document.getElementById("Instruction-sequence"); //获得批示顺序div的id
		Instruction_sequence_div.style.display = "block"; //显示批示顺序
		return;
	}
	var Instruction_sequence_div = document.getElementById("Instruction-sequence"); //获得批示顺序div的id
	Instruction_sequence_div.style.display = "block"; //显示批示顺序
	if(flag == "dontshow") {
		Instruction_sequence_div.style.display = "none"; //不显示批示顺序
	}
	var Sign = {};
	localStorage.removeItem("perjson"); //删除批示顺序全局变量中的数据
	//判断返回的批示顺序是否为空
	if(data.encyclicLeaderIds == undefined || data.encyclicLeaderIds == "" || data.encyclicLeaderIds == " ") {
		return; //跳出方法
	}
	var idsStr = "";
	var result_encyclicLeaderIds = "";
	var result_encyclicLeaderNames = "";
	if(IndexStr("|", data.encyclicLeaderIds) >= 0) {
		idsStr = data.encyclicLeaderIds.indexOf("|"); //按竖线截取返回数据
		result_encyclicLeaderIds = data.encyclicLeaderIds.split("|"); //按竖线截取id
		result_encyclicLeaderNames = data.encyclicLeaderNames.split("|"); //按竖线截取name
	} else {
		idsStr = data.encyclicLeaderIds.indexOf(","); //按逗号截取返回数据
		result_encyclicLeaderIds = data.encyclicLeaderIds.split(","); //按逗号截取id
		result_encyclicLeaderNames = data.encyclicLeaderNames.split(","); //按逗号截取name
	}
	for(var i = 0; i < result_encyclicLeaderIds.length; i++) { //循环赋值
		if(result_encyclicLeaderNames[i] == "") {
			continue;
		}
		Sign[result_encyclicLeaderNames[i] + ""] = result_encyclicLeaderIds[i] + "";
	}

	Sign = JSON.stringify(Sign);
	localStorage.setItem("perjson", Sign); //写入全局变量

	loadSign("perjson"); //加载批示顺序
}
//显示审批意见
function opinions(data) {
	document.getElementById("opinions").style.display = "block";
	if(flag_plist == "true") {
		return;
	}
	//				if(((localStorage.getItem("flowFullName")=="二级单位部门收文"||localStorage.getItem("flowFullName")=="二级单位收文")&&(IndexStr("部门确认",localStorage.getItem("status"))>=0||IndexStr("审核",localStorage.getItem("status"))>=0))||(IndexStr("审核",localStorage.getItem("status"))>=0&&localStorage.getItem("flowFullName")=="总部收文")){
	if(((localStorage.getItem("flowFullName") == "二级单位部门收文" || localStorage.getItem("flowFullName") == "二级单位收文" || localStorage.getItem("flowFullName") == "三级单位收文" || localStorage.getItem("flowFullName") == "三级单位部门收文") && (IndexStr("部门确认", localStorage.getItem("status")) >= 0 || IndexStr("审核", localStorage.getItem("status")) >= 0)) || (IndexStr("审核", localStorage.getItem("status")) >= 0 && localStorage.getItem("flowFullName") == "总部收文")) {
		if(data.shortContent == "" || data.shortContent == " " || data.shortContent == null || data.shortContent == undefined) {
			document.getElementById("Enclosure_Opinion_input").innerHTML = "";
		} else {
			document.getElementById("Enclosure_Opinion_input").innerHTML = "" + data.shortContent;
		}
	}
}
//显示会签意见
function showcountersign() {
	document.getElementById("countersign").style.display = "block";
}
//显示转主办部门
function showFwoSponsor(data) {
	document.getElementById("FwoSponsor").style.display = "block";
	if(data.archiveDeptId != null || data.archiveDeptId != undefined || data.archiveDeptId != "" || data.archiveDeptId != " ") {
		document.getElementById("FwSponsor_selectdep_input").innerHTML = "" + data.archivesDept;
		localStorage.setItem("FwoSponsorid", "" + data.archiveDeptId);
		localStorage.setItem("FwoSponsorname", "" + data.archivesDept);
	}
}
//显示转部门办理
function sponsoring_department(data) {
	localStorage.setItem("transToDepts", data.transToDepts);
	localStorage.setItem("transToDeptsName", data.transToDeptsName);
	document.getElementById("Fwopendep").style.display = "block";
	var Sign = {};
	var result_Ids = data.deptIds.split(","); //以逗号分隔所有ID
	var result_Names = data.deptNames.split(","); //以逗号分隔所有name
	for(var i = 0; i < result_Ids.length; i++) { //循环赋值,将id和name赋值到全局变量
		if(result_Ids[i] == "" || (result_Ids[i] == " ")) {
			continue;
		}
		var item = result_Names[i];
		Sign[item + ""] = result_Ids[i] + "";
	}
	Sign = JSON.stringify(Sign);
	localStorage.setItem("ehjsonStr", Sign);
	loaddep("redepjson"); //显示部门列表
}

function loadzb() {
	var params = {
		email: 　localStorage.getItem("userId") + self.params.email,
		taskId: localStorage.getItem("taskId")
	}
	tool_ajax_parameter_History("getArchive", loaddata, params);
}

function loaddata(data) {
	showEnclosure_selectdep_zhuban(data.mobileArchive);
}
//显示主办部门
function showEnclosure_selectdep_zhuban(data) {
	localStorage.setItem("historySnid", data.historySn[2]);
	localStorage.setItem("historySnname", data.historySn[3]);
	if(localStorage.getItem("flowFullName") == "总部收文") {
		document.getElementById("Enclosure_selectdep_input").innerHTML = "请选择";
		//					document.getElementById("Enclosure_selectdep_input").innerHTML=" "+data.archivesDept;
		localStorage.setItem("FwoSponsorid", "" + data.archiveDeptId);
		localStorage.setItem("FwoSponsorname", "" + data.archivesDept);
		var archivesDept = data.archivesDept;
		var archiveDeptId = data.archiveDeptId;
		//					var jsonstr = '{"'+archivesDept+'":"'+archiveDeptId+'"}';
		//					if(document.getElementById("opendep").style.display=="block"){
		//						localStorage.setItem("redepjson",jsonstr);
		//					}
	} else {
		if(data.archiveDeptId == null || data.archiveDeptId == undefined || data.archiveDeptId == "" || data.archiveDeptId == " ") {
			document.getElementById("Enclosure_selectdep_input").innerHTML = "请选择";
		} else {
			document.getElementById("Enclosure_selectdep_input").innerHTML = " " + data.archivesDept;
			localStorage.setItem("FwoSponsorid", "" + data.archiveDeptId);
			localStorage.setItem("FwoSponsorname", "" + data.archivesDept);
			var archivesDept = data.archivesDept;
			var archiveDeptId = data.archiveDeptId;
			var jsonstr = '{"' + archivesDept + '":"' + archiveDeptId + '"}';
			if(document.getElementById("opendep").style.display == "block") {
				localStorage.setItem("redepjson", jsonstr);
			}
		}
	}
}
//显示审签情况
function showleaderComment(censorsign) {
	var item_list = document.getElementById("item_list"); //获取要插入列表数据的div的id
	item_list.innerText = ""; //清空列表数据
	if(censorsign == "" || censorsign == " " || censorsign == undefined) {
		return;
	}
	var censorsignlist = censorsign.split("||");
	for(var i = 0; i < censorsignlist.length; i++) {
		var censorsignlistitem = censorsignlist[i].split("!@!");
		var text = " ";
		if(censorsignlistitem[2] != undefined) {
			text += censorsignlistitem[2];
		}
		if(censorsignlistitem[3] != undefined) {
			text += censorsignlistitem[3];
		}
		if(censorsignlistitem[4] != undefined) {
			text += censorsignlistitem[4];
		}
		item_list.innerHTML += '<div id="item_' + i + '" class="Review">' +
			'<div class="Line">' +
			'<div id="line_' + i + '" class="Line_Line">' +
			'<div class="circular">' +
			'</div>' +
			'</div>' +
			'</div>' +
			'<div class="txtare">' +
			'<span class="txt_name ">' + censorsignlistitem[0] + "&nbsp;&nbsp;" + censorsignlistitem[1] + '</span></br>' +
			'<span class="txt_name"></span>' +
			'<div class="txt">' + text + '</div>' +
			'</div></div>';
		document.getElementById("line_" + i).style.height = document.getElementById("item_" + i).offsetHeight + "px"; //重新计算div高度并赋值

	}
}
//查阅详情（全流程）
function showplist(plist) {
	var item_list = document.getElementById("item_list"); //获取要插入列表数据的div的id
	item_list.innerText = ""; //清空列表数据
	if(IndexStr("部门初审", JSON.stringify(plist)) >= 0) {
		flag_plist = "true";
	}
	for(var i = 0; i < plist.length; i++) { //循环数据并插入到div
		if(plist[i].endTime != undefined) {
			item_list.innerHTML += '<div id="item_' + plist[i].formId + '" class="Review">' +
				'<div class="Line">' +
				'<div id="' + plist[i].formId + '" class="Line_Line">' +
				'<div class="circular Pastcircular">' +
				'</div>' +
				'</div>' +
				'</div>' +
				'<div class="txtare">' +
				'<span class="txt_name textstatus">' + plist[i].activityName + '</span></br>' +
				'<span class="txt_name">' + plist[i].creator + '</span>' +
				'<span class="txt_time">' + FormatDate(plist[i].endTime) + '</span>' +
				'<div class="txt">' + plist[i].content + '</div>' +
				'</div></div>';
			document.getElementById("" + plist[i].formId).style.height = document.getElementById("item_" + plist[i].formId).offsetHeight + "px"; //重新计算div高度并赋值
			continue;
		} else {
			if(localStorage.getItem("status") == plist[i].activityName && IndexStr(plist[i].creator, localStorage.getItem("username")) >= 0) { //当前流程
				item_list.innerHTML += '<div id="item_' + plist[i].formId + '" class="Review">' +
					'<div class="Line">' +
					'<div id="' + plist[i].formId + '" class="Line_Line">' +
					'<div class="circular">' +
					'</div>' +
					'</div>' +
					'</div>' +
					'<div class="txtare">' +
					'<span class="txt_name textstatus">' + plist[i].activityName + '</span></br>' +
					'<span class="txt_name">' + plist[i].creator + '</span>' +
					'<div class="txt">' + plist[i].content + '</div>' +
					'</div></div>';

				document.getElementById("" + plist[i].formId).style.height = document.getElementById("item_" + plist[i].formId).offsetHeight + "px"; //重新计算div高度并赋值

				continue;
			}
			item_list.innerHTML += '<div id="item_' + plist[i].formId + '" class="Review">' +
				'<div class="Line">' +
				'<div id="' + plist[i].formId + '" class="Line_Line">' +
				'<div class="circular aftercircular">' +
				'</div>' +
				'</div>' +
				'</div>' +
				'<div class="txtare">' +
				'<span class="txt_name textstatus">' + plist[i].activityName + '</span></br>' +
				'<span class="txt_name">' + plist[i].creator + '</span>' +
				'<div class="txt">' + plist[i].content + '</div>' +
				'</div></div>';
			document.getElementById("" + plist[i].formId).style.height = document.getElementById("item_" + plist[i].formId).offsetHeight + "px"; //重新计算div高度并赋值
			continue;
		}
	}
	if(item_list.innerHTML == "") { //如果列表是空的显示暂无
		item_list.innerHTML = '<div style="color:#c8c8c8;text-align: center;margin-top: 20px;">暂无审批意见</div>';
	}
}
//显示附件列表
function listshow(num) {
//	console.log(JSON.stringify(list));
	document.getElementById("Enclosure_Enclosure").innerHTML = ""; //清空附件列表
	listshownum = list.length; //更新更多附件显示数量
	if(num == "2") { //显示两条附件方法
		document.getElementById("Enclosure_moreattachment_icon").innerHTML = "⇓";
		document.getElementById("Enclosure_moreattachment").style.color = "#149CFF";
		var k = num;
		for(var i = 0; i < k; i++) {
			if(list.length < i + 1) {
				break;
			}
			if(list[i] == undefined) {
				k++;
				continue;
			}
			if(list[i].docName == "" || list[i].docName == " " || list[i].docName == undefined) {
				k++;
				continue;
			}
			if(IndexStr("paper", list[i].identifier) >= 0) {
				document.getElementById("Enclosure_Enclosure").innerHTML += '<div class="doc_item">' +
					'<a class="doc_downurl">' +
					'<i class="doc_icon"></i>' +
					'<span class="doc_name"> 【非电子文件】：' + list[i].docName + '</span>' +
					'<i class="doc_downicon"></i>' +
					'</a>' +
					'</div>';
				continue;
			} else {
				if(list[i].downloadUrl == "") {
					delete list[i];
					continue;
				}
			}
			if(list[i] == undefined) {
				continue;
			}
			document.getElementById("Enclosure_Enclosure").innerHTML += '<div class="doc_item">' +
				'<a class="doc_downurl" href="' + list[i].downloadUrl + '">' +
				'<i class="doc_icon"></i>' +
				'<span class="doc_name">' + list[i].docName + '</span>' +
				'<i class="doc_downicon"><img src="img/icon_download.png" style="width: 18px;"/></i>' +
				'</a>' +
				'</div>';
		}
		var listcount = 0;
		for(var i = 0; i < list.length; i++) {
			if(list[i] == undefined) {
				continue;
			}
			if(list[i].docName == "" || list[i].docName == " " || list[i].docName == undefined) {
				k++;
				continue;
			}
			if(IndexStr("paper", list[i].identifier) >= 0) {
				+'</div>';
				continue;
			} else {
				if(list[i].downloadUrl == "") {
					delete list[i];
					continue;
				}
			}
			listcount += 1;
		}
		if(listcount <= 2) {
			document.getElementById("Enclosure_moreattachment").innerHTML = "";
			//						document.getElementById("Enclosure_moreattachment").style.color = "#888888";
		}
	} else { //显示所有附件方法
		for(var i = 0; i < list.length; i++) {
			if(list[i] == undefined) {
				continue;
			}
			if(list[i].docName == "" || list[i].docName == " " || list[i].docName == undefined) {
				k++;
				continue;
			}
			if(IndexStr("paper", list[i].identifier) >= 0) {
				document.getElementById("Enclosure_Enclosure").innerHTML += '<div class="doc_item">' +
					'<a class="doc_downurl">' +
					'<i class="doc_icon"></i>' +
					'<span class="doc_name">【非电子文件】：' + list[i].docName + '</span>' +
					'<i class="doc_downicon"></i>' +
					'</a>' +
					'</div>';
				continue;
			} else {
				if(list[i].downloadUrl == "") {
					delete list[i];
					continue;
				}
			}
			document.getElementById("Enclosure_Enclosure").innerHTML += '<div class="doc_item">' +
				'<a class="doc_downurl" href="' + list[i].downloadUrl + '">' +
				'<i class="doc_icon"></i>' +
				'<span class="doc_name">' + list[i].docName + '</span>' +
				'<i class="doc_downicon"><img src="img/icon_download.png" style="width: 18px;"/></i>' +
				'</a>' +
				'</div>';
		}
		document.getElementById("Enclosure_moreattachment_icon").innerHTML = "⇑";
		//					document.getElementById("Enclosure_moreattachment").style.color = "#888888";
	}
}
//下载连接点击监听事件
mui('#Enclosure_Enclosure').on('tap', '.doc_downurl', function() {
	if(this.href == "") { //如果返回的下载地址为空
		mui.toast("非电子文件!");
		return;
	}
	var dowhref = encodeURI(this.href); //将返回地址进行URL编码
	// ——————————————————————————测试库下载附件
	//				dowhref = dowhref.substring(dowhref.indexOf('%25A9') + 5, dowhref.length)//截取返回地址的第一个Ω符号后面的地址,第一个Ω符号后面的地址为真实的下载地址
	//				dowhref = "http://"+localStorage.getItem("ip").substring(0,19)+dowhref.substring(dowhref.indexOf('http://172.26.200.180:7001')+26,dowhref.length);//截取ip地址并且拼接下载地址
	//				console.log("---"+dowhref);

	//——————————————————————————————————————————————————————————————————————————————————————————————————

	dowhref = dowhref.replace("%25CE%25A9", "=").replace("%25CE%25A9", "=");
	console.log("1111---" + dowhref);
	//				plus.runtime.openURL(dowhref);//打开下载地址
	downloadStart(dowhref); //开始下载
});
//加载批示顺序
function loadSign(parameter) {
	var perjson = localStorage.getItem("" + parameter); //从全局变量中获取缓存
	perjson = mui.parseJSON(perjson); //将字符串类型的JSON转换成对象类型
	var perjsonLength = 0; //定义变量获取JSOn长度
	var pertext = ""; //定义变量接收JSOn循环后的字符串
	for(var item in perjson) { //循环无序JSON
		perjsonLength++;
		if(perjsonLength != 1) {
			pertext += "," + item;
		} else {
			pertext += "" + item;
		}
	}
	if(pertext == "") { //如果JSON为空
		pertext = "请选择";
	}
	switch(parameter) { //根据传入的数据不同赋值到不同的控件上
		case "cyjson":
			document.getElementById("Enclosure_Circulated_input").innerText = pertext; //传阅顺序
			break;
		case "perjson":
			document.getElementById("Enclosure_setpersonnel_input").innerText = pertext; //批示顺序
			break;
		case "cbjson":
			document.getElementById("Enclosure_Undertake_input").innerText = pertext; //承办人
			break;
	}
}

//加载部门
function loaddep(parameter) {
	var depjson = localStorage.getItem("" + parameter);
	depjson = mui.parseJSON(depjson);
	var depjsonLength = 0;
	var deptext = "";
	for(var item in depjson) {
		depjsonLength++;
		if(depjsonLength != 1) {
			deptext += "," + item;
		} else {
			deptext += "" + item;
		}
	}
	if(deptext == "" || deptext == " ") {
		deptext = "请选择";
	}
	switch(parameter) {
		case "depjson":
			document.getElementById("Enclosure_selectdep_input").innerText = deptext;
			break;
		case "ehjsonStr":
			document.getElementById("Enclosure_Hostdept_input").innerText = deptext;
			break;
		case "redepjson":
			document.getElementById("Fw_Enclosure_selectdep_input").innerText = deptext;
			break;
	}
}
//点击事件监听
mui.plusReady(function() {
	var opendep = document.getElementById("opendep");
	var Enclosure_moreattachment = document.getElementById("Enclosure_moreattachment");
	var Enclosure_setpersonnel_input = document.getElementById("Enclosure_setpersonnel_input"); //批示顺序
	var Enclosure_Hostdept_input = document.getElementById("Enclosure_Hostdept_input"); //会签部门
	var Fwopendep = document.getElementById("Fwopendep"); //转部门办理
	var Enclosure_Undertake_input = document.getElementById("Enclosure_Undertake_input"); //承办人
	var Enclosure_Circulated_input = document.getElementById("Enclosure_Circulated_input"); //传阅人
	Enclosure_Hostdept_input.addEventListener('tap', function() {
		mui.openWindow({
			url: "Select_sponsor.html",
			id: "Select_sponsor",
			styles: {},
			extras: {
				parameter: "ehjsonStr" //参数
				
			},
			createNew: true, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
			show: {
				autoShow: true //页面loaded事件发生后自动显示，默认为true
			},
			waiting: {
				autoShow: true, //自动显示等待框，默认为true
				title: '正在加载...' //等待对话框上显示的提示内容
			}
		})
	})
	Enclosure_moreattachment.addEventListener('tap', function() {
		if(listshownum > 2) {
			Enclosure_moreattachment.style.color == "#007AFF";
			listshow(listshownum);
			listshownum = 2;
		} else {
			Enclosure_moreattachment.style.color == "#007AFF";
			listshow(listshownum);
		}
	})
	//批示顺序点击事件
	Enclosure_setpersonnel_input.addEventListener('tap', function() {
		mui.openWindow({
			url: "Select_personnel.html",
			id: "Select_personnel",
			styles: {},
			extras: {
				parameter: "perjson", //参数
				
			},
			createNew: true, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
			show: {
				autoShow: true //页面loaded事件发生后自动显示，默认为true
			},
			waiting: {
				autoShow: true, //自动显示等待框，默认为true
				title: '正在加载...' //等待对话框上显示的提示内容
			}
		})
	})
	//承办人点击事件
	Enclosure_Undertake_input.addEventListener('tap', function() {
		localStorage.setItem("parametername", "cbjson");
		mui.openWindow({
			url: "Select_personnel.html",
			id: "Select_personnel",
			styles: {},
			extras: {
				parameter: "cbjson" //参数
			},
			createNew: true, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
			show: {
				autoShow: true //页面loaded事件发生后自动显示，默认为true
			},
			waiting: {
				autoShow: true, //自动显示等待框，默认为true
				title: '正在加载...' //等待对话框上显示的提示内容
			}
		})
	})
	//传阅人点击事件
	Enclosure_Circulated_input.addEventListener('tap', function() {
		localStorage.setItem("parametername", "cbjson");
		mui.openWindow({
			url: "Select_personnel.html",
			id: "Select_personnel",
			styles: {},
			extras: {
				parameter: "cyjson" //参数
			},
			createNew: true, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
			show: {
				autoShow: true //页面loaded事件发生后自动显示，默认为true
			},
			waiting: {
				autoShow: true, //自动显示等待框，默认为true
				title: '正在加载...' //等待对话框上显示的提示内容
			}
		})
	})
	//主办部门
	opendep.addEventListener('tap', function() {
		var userPicker = new mui.PopPicker();
		var historySnid = jsontostr(localStorage.getItem("redepjson")).ids.split(",");
		var historySnname = jsontostr(localStorage.getItem("redepjson")).name.split(",");
		var mycars = new Array()
		for(var i = 0; i < historySnid.length; i++) {
			var itemjson = {};
			itemjson["value"] = historySnid[i];
			itemjson["text"] = historySnname[i];
			mycars[i] = itemjson;
		}
		if(historySnid.length == 1) {
			if(mycars[0].text == undefined || mycars[0].text == "") {
				mycars[0].text = "请选择";
			}
		}
		userPicker.setData(mycars);
		userPicker.show(function(items) {
			localStorage.setItem("FwoSponsorid", "" + items[0].value);
			localStorage.setItem("FwoSponsorname", "" + items[0].text);
			document.getElementById("Enclosure_selectdep_input").innerHTML = "" + items[0].text;
			//返回 false 可以阻止选择框的关闭
			//return false;
		});
	})
	
	//转部门办理跳转
	Fwopendep.addEventListener('tap', function() {
	var self = plus.webview.currentWebview();
	
	if(self.flowFullName == "总部收文" && self.activityName == "领导审核"){
		localStorage.getItem("udeptname");
	var useridNo = localStorage.getItem("udeptname");
//	alert(self.flowFullName+"--"+useridNo+"---"+self.activityName);
	}
	mui.openWindow({
			url: "Select_sponsor.html",
			id: "Select_sponsor",
			styles: {},
			extras: {
				parameter: "redepjson", //参数
				proType: "" + localStorage.getItem("proType"),
				useridNo : useridNo
			},
			createNew: true, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
			show: {
				autoShow: true //页面loaded事件发生后自动显示，默认为true
			},
			waiting: {
				autoShow: true, //自动显示等待框，默认为true
				title: '正在加载...' //等待对话框上显示的提示内容
			}
		})
	})
})
//提交流程监听
mui('.mui-bar-tab').on('tap', 'div', function() {
	if(localStorage.getItem("status") == "社领导批示" && $("#Meeting_input").html() == "请选择") {
		if(this.getAttribute("destName") == "1") {
			mui.toast('请选择是否上会!');
			return false;
		}
	}
	if(localStorage.getItem("status") == "领导批示" && $("#Meeting_input").html() == "请选择") {
		if(this.getAttribute("destName") == "1") {
			mui.toast('请选择是否上会!');
			return false;
		}
	}

	var procedureID = this.getAttribute("id");
	var resulttime = document.getElementById("result").innerHTML;
	var retime = "";
	if(resulttime != "请选择") {
		retime = resulttime;
	}
	if(IndexStr("活动", localStorage.getItem("flowFullName")) >= 0) {
		var curTaskName = "活动安排";
		localStorage.setItem("archivesId", localStorage.getItem("activityId")); //id
	} else if(IndexStr("会议", localStorage.getItem("flowFullName")) >= 0) {
		var curTaskName = "会议安排";
		localStorage.setItem("archivesId", localStorage.getItem("confId")); //id
	} else {
		var curTaskName = localStorage.getItem("status");
	}
	var Meeting_input = document.getElementById("Meeting_input").innerHTML;
	if(localStorage.getItem("flowFullName") == "二级单位收文" && localStorage.getItem("status") == "领导批示 ") {
		Meeting_input = document.getElementById("Meeting_input").innerHTML;
	}
	var countersignDeptIdsstr = "";
	var countersignDeptNamesstr = "";
	if(jsontostr(localStorage.getItem("redepjson")).ids == "" || jsontostr(localStorage.getItem("redepjson")).ids == " " || jsontostr(localStorage.getItem("redepjson")).ids == null || jsontostr(localStorage.getItem("redepjson")).ids == undefined) {
		countersignDeptIdsstr = jsontostr(localStorage.getItem("ehjsonStr")).ids, //会签ids
			countersignDeptNamesstr = jsontostr(localStorage.getItem("ehjsonStr")).name //会签name
	} else {
		countersignDeptIdsstr = jsontostr(localStorage.getItem("redepjson")).ids, //转主办ids
			countersignDeptNamesstr = jsontostr(localStorage.getItem("redepjson")).name //转主办name
	}
	var signBranchVoteTypestr = "";
	var Ids_count
	if(IndexStr("会签", localStorage.getItem("status")) >= 0 || IndexStr("补签", localStorage.getItem("status")) >= 0) {
		if(this.getAttribute("destName") == "2") {
			this.setAttribute("destName", "1");
			signBranchVoteTypestr = "2";
		} else {
			signBranchVoteTypestr = "1";
		}
	}
	if(this.getAttribute("destName") == "1" && localStorage.getItem("flowFullName") == "三级单位签报" && localStorage.getItem("status") == "领导审核" && (jsontostr(localStorage.getItem("cbjson")).ids == "" || jsontostr(localStorage.getItem("cbjson")).ids == " " || jsontostr(localStorage.getItem("cbjson")).ids == null || jsontostr(localStorage.getItem("cbjson")).ids == undefined)) {
		mui.alert("请选择承办人!", "提示", "确定");
		return;
	}
	if(this.getAttribute("destName") == "1") {
		if(document.getElementById("Enclosure_selectdep_input").innerHTML == "请选择" && document.getElementById("opendep").style.display == "block" && localStorage.getItem("flowFullName") == "总部收文") {
//			alert("请选择主办部门");
//			return;
		} else if(document.getElementById("opendep").style.display == "block" && localStorage.getItem("flowFullName") == "总部收文") {
			if(IndexStr(localStorage.getItem("FwoSponsorname"), countersignDeptNamesstr) < 0) {
				alert("您选择的主办部门不在转发的部门当中，请选择已勾选转发的部门作为主办部门");
				console.log(localStorage.getItem("FwoSponsorname"));
				return;
			} else if(IndexStr(localStorage.getItem("FwoSponsorid"), localStorage.getItem("redepjson")) < 0) {
				alert("您选择的主办部门不在转发的部门当中，请选择已勾选转发的部门作为主办部门");
				console.log("");
				return;
			}
		} else if(document.getElementById("opendep").style.display == "block" && localStorage.getItem("flowFullName") == "收文") {

		}
	}
	var perjsonids = jsontostr(localStorage.getItem("perjson")).ids;
	var perjsonname = jsontostr(localStorage.getItem("perjson")).name;
	if(localStorage.getItem("DifferentencyclicLeaderIds") != undefined) {
		perjsonids = localStorage.getItem("DifferentencyclicLeaderIds");
		perjsonname = localStorage.getItem("DifferentencyclicLeaderNames");
	}
	// 社领导批示环节意见不能为空
	if(localStorage.getItem("status") == "社领导批示"||localStorage.getItem("status")=="领导批示") {
		if(this.getAttribute("destName") == "2" || this.getAttribute("destName") == "1") {
			if(document.getElementById("Enclosure_Opinion_input").value == "" || document.getElementById("Enclosure_Opinion_input").value == " " || document.getElementById("Enclosure_Opinion_input").value == undefined || document.getElementById("Enclosure_Opinion_input").value == null) {
				alert("请填写审批意见");
				return;
			}
		}
	}
	Ids_count = jsontostr(localStorage.getItem("ehjsonStr")).ids.split(",");
	localStorage.setItem("signBranchVoteType", signBranchVoteTypestr);
	var params = {
		userId: "" + localStorage.getItem("mobileuserUserId"),
		destName: "" + this.getAttribute("destName"), //下一步节点名称
		email: 　localStorage.getItem("userId") + localStorage.getItem("email") + "", //邮箱账号
		taskId: "" + localStorage.getItem("taskId"), //任务id
		proType: "" + localStorage.getItem("proType"), //文种类型
		fullname: "" + localStorage.getItem("flowFullName"), //当前节点名称
		curTaskName: "" + localStorage.getItem("activityName"), //当前节点名称
		archivesId: "" + localStorage.getItem("archivesId"), //公文id
		priority: "" + localStorage.getItem("priority"),
		countersignDeptNames: "" + countersignDeptNamesstr,
		countersignDeptIds: "" + countersignDeptIdsstr,
		signContent: "" + document.getElementById("Enclosure_Opinion_input").value, //审批意见
		comments: "" + document.getElementById("Enclosure_countersign_input").value, //会签意见
		encyclicLeaderIds: "" + perjsonids, //领导批示顺序id
		encyclicLeaderNames: "" + perjsonname, ///领导批示顺序名字
		workerIds: "" + jsontostr(localStorage.getItem("cbjson")).ids, //承办人id
		workerNames: "" + jsontostr(localStorage.getItem("cbjson")).name, ///承办人名字
		privacyLevel: "" + localStorage.getItem("privacyLevel"),
		requireTime: "" + retime, //最晚签发时间
		signConference: Meeting_input + "", //是否上会
		deptId: "" + jsontostr(localStorage.getItem("depjson")).ids, //主办部门id 
		deptNameId: "" + jsontostr(localStorage.getItem("depjson")).name, //主办部门名称
		passUserId: "" + jsontostr(localStorage.getItem("cyjson")).ids, //传阅人id
		passUserName: "" + jsontostr(localStorage.getItem("cyjson")).name, ///传阅人名字
		attendUsers: "" + jsontostr(localStorage.getItem("cbjson")).ids, //参加人id
		attendUserNames: "" + jsontostr(localStorage.getItem("cbjson")).name, //参加人名字
		signBranchVoteType: "" + signBranchVoteTypestr, //会签
		sign_depts_size: "" + Ids_count.length, //会签部门个数
		archiveDeptId: "" + localStorage.getItem("FwoSponsorid"), //主办部门id
		archivesDept: "" + localStorage.getItem("FwoSponsorname"), //主办部门name
		returnFlag: "" + returnFlagstr //跟踪落实
	};
//	console.log(JSON.stringify(params));

	if(document.getElementById("Instruction-sequence").style.display == "block" && document.getElementById("Enclosure_setpersonnel_input").innerText == "请选择") {
		if(IndexStr("收文", localStorage.getItem("flowFullName")) >= 0) {
			sendTask(params); //调用确认窗口
			return;
		}
		if((localStorage.getItem("flowFullName") != "二级单位部门发文" || localStorage.getItem("flowFullName") != "社领导批示") && curTaskName != "部门审核") {
			if(this.getAttribute("destName") == "2") {
//				mui.toast("请选择批示顺序!");
//				return;
			}
		}
	}
	sendTask(params); //调用确认窗口
})
mui(".mui-scroll").on("tap", "#Meeting", function() { //是否上会点击事件
	
	showActionSheet();
})
//上会选择
function showActionSheet() {
	
	var bts = [{
		title: "不需要上会"
	}, {
		title: "办公会"
	},  {
		title: "党组会"
	}];
	plus.nativeUI.actionSheet({
			title: "是否上会",
			cancel: "取消",
			buttons: bts
		},
		function(e) {
			if(e.index != 0) {
				$("#Meeting_input").html(bts[e.index - 1].title);
			}
		}
	);
}
//确认窗口方法
function sendTask(params) {
	var btnArray = ['取消', '确认'];
	var index_b = 1;
	if(mui.os.android) {
		btnArray = ['确认', '取消'];
		index_b = 0;
	}
	mui.confirm('请确认是否执行流转？', '提醒', btnArray, function(e) {
		if(e.index == index_b) {
			document.getElementById("whitdiv").style.display = "block"; //显示等待界面
			var restr = tool_ajax_parameter_History("doNext", sendTask_ky, params);
			if(restr == "false") {
				mui.currentWebview.close();
			}
		} else {

		}
	})
}
//提交流程回调函数
function sendTask_ky(sendData) {
	if(sendData.success == "1") {
		if(localStorage.getItem("proType") == "1" || localStorage.getItem("proType") == "2" || localStorage.getItem("proType") == "5" || localStorage.getItem("proType") == "6") {
			if(IndexStr("会签", localStorage.getItem("status")) >= 0 && localStorage.getItem("signBranchVoteType") == "2") {
				var pm = {
					"taskId": localStorage.getItem("taskId") + "",
					"archivesId": localStorage.getItem("archivesId") + "",
					"signVoteType": "2",
					"proType": localStorage.getItem("proType") + "",
				};
				console.log("_________________________________________________________");
				tool_ajax_parameter_History("closeOtherFlow", Delete_sign, pm)
			}
		}
		mui.toast('任务办理成功!');
		//删除待办
		mui.currentWebview.opener().evalJS("delTask('" + plus.webview.currentWebview().params.taskId + "')");
		//				mui.currentWebview.opener().evalJS('getTaskList(param, "pullupRefresh_ky")');
		mui.currentWebview.opener().evalJS('location.reload()');
		var web = plus.webview.currentWebview();
		document.getElementById("whitdiv").style.display = "none"; //隐藏等待界面
		web.close();
	} else if(sendData.success == "0") {
		mui.toast('任务办理失败!');
		document.getElementById("whitdiv").style.display = "none"; //隐藏等待界面
	}
}
//会签删除接口回调
function Delete_sign(data) {
	console.log("删除任务返回结果------------");
//	console.log(JSON.stringify(data));
}
//跟踪落实监听
mui('.mui-input-group').on('change', 'input', function() {
	var value = this.checked ? "true" : "false";
	if(value == "true") {
		returnFlagstr = "1";
	} else {
		returnFlagstr = " ";
	}
});
//开关监听
mui('#switch_all').each(function() { //循环所有toggle
	//this.classList.contains('mui-active') 可识别该toggle的开关状态
	if(localStorage.getItem("switches_active") == "true" || localStorage.getItem("switches_active") == undefined) {
		document.getElementById("switch_all").setAttribute("class", "mui-switch mui-active");
		document.getElementById("review").style.color = "#cdcdcd";
		document.getElementById("all").style.color = "#000000";
	} else {
		document.getElementById("switch_all").setAttribute("class", "mui-switch");
		document.getElementById("review").style.color = "#000000";
		document.getElementById("all").style.color = "#cdcdcd";
	}
	//toggle 事件监听
	this.addEventListener('toggle', function(event) {
		//event.detail.isActive 可直接获取当前状态
		if(event.detail.isActive) {
			document.getElementById("review").style.color = "#cdcdcd";
			document.getElementById("all").style.color = "#000000";
		} else {
			document.getElementById("review").style.color = "#000000";
			document.getElementById("all").style.color = "#cdcdcd";
		}
		localStorage.setItem("switches_active", event.detail.isActive + "");
		if(event.detail.isActive) {
			showplist(mobplist); //显示批示
		} else {

			showleaderComment(censorsign); //显示审签情况
		}
		mui('#offCanvasSideScroll').scroll().scrollTo(0, 0);
	});
});
$("#showdownload").css("display", "none");
if(localStorage.getItem("Fifth") == "1") {
	$("#Fifth").css("display", "none");
	$(".mui-backdrop").css("display", "none");
} else {
	$("#Fifth").css("display", "block");
	setTimeout((function() {
		$("#showdownload").css("display", "block");
		$("#showdownload").css("top", ($("#Enclosure_Enclosure").offset().top - 65) + "px");
	}), 1500)
}
//引导页
document.getElementById("know").addEventListener('tap', function() {
	closeCover();
	localStorage.setItem("Fifth", "1");
}, false);
window.addEventListener('swipeleft', function() {
	if(localStorage.getItem("Fifth") != "1") {
		return;
	} else {

		$("#showdownload").css("display", "none");
	}
	if(localStorage.getItem("Sixth") == "1") {
		return;
	}
	localStorage.setItem("Sixth", "1");
	$(".mui-backdrop").css("display", "block");
	$(".second").css("display", "block");
	document.getElementById("chknow").addEventListener('tap', closeCover, false);

}, false);

function closeCover() {
	$(this).parent().parent().css("display", "none");
	$(".mui-backdrop").css("display", "none");
	if(localStorage.getItem("Seventh") != 1) {
		$("#fj").css("display", "block");
	}
}
//新增蒙版
document.getElementById("fjKnow").addEventListener("tap", function() {
	if(localStorage.getItem("Seventh") == 1) {
		return;
	} else {
		localStorage.setItem("Seventh", "1");
		$("#fj").css("display", "none")
	}
}, false)