mui.init({
	statusBarBackground: '#FFFFFF'
});
var param = {
	email: email,
};
var pageNum = 0;
var nextPageDate;
mui.init({
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			auto: true,//刚打开页面的时候自动下拉刷新
			callback: pulldownRefresh
		},
		up: {
			auto: false,//刚打开页面的时候自动上拉加载
			contentrefresh: '正在加载...',
			contentnomore: '没有更多上会公文',
			callback: pullupRefresh
		}
	}
});
/** 
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	console.log("下拉刷新");
	pageNum = 0;
	setTimeout(function() {
		var params = {
			email: email,
			curPage:pageNum
//			limit:"10",
//			flowcode:flowcodestr
		};
		try {
			
			getHistoryTaskLis(params, "pulldownRefresh_ky");
		} catch(e) {
			
		}
	}, 150);
}

function pulldownRefresh_ky(data) {
	pageNum++;
	document.getElementById("historyData").style.display="none";
	if(data != null) {
		$(".taskLi").remove();
		var mobileTaskInfoList = data.mobileArchivesOfficeWork;
		if(mobileTaskInfoList.length==0 || '0'==mobileTaskInfoList.length){
			document.getElementById("historyData").style.display="block";
		}
		taskList_append(mobileTaskInfoList);
//		pageNum++; //refresh completed
	}else{
		document.getElementById("historyData").style.display="block";
	}
	mui('#pullrefresh').pullRefresh().endPulldownToRefresh(); //refresh completed
	mui('#pullrefresh').pullRefresh().refresh(true);//重置上下拉刷新
}
/**
 * 上拉加载具体业务实现
 */
function pullupRefresh() {
	console.log("上拉加载");
	setTimeout(function() {
		var params = {
			email: email,
			curPage:pageNum
//			limit:"10",
//			flowcode:flowcodestr
		};
		var data = getHistoryTaskLis(params, "pullupRefresh_ky");
}, 150);
}
function pullupRefresh_ky(data) {
	pageNum++;
		if(data.totalPage==pageNum-1||data.totalPage==undefined){
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);//结束上拉加载
			return;
		}
		if(data != null) {
			var mobileTaskInfoList = data.mobileArchivesOfficeWork;
			taskList_append(mobileTaskInfoList);
//			pageNum++;
		}
		if(data.totalPage==pageNum||data.totalPage==undefined){
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);//结束上拉加载
			return;
		}
		mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);//继续上拉加载
		
}
/**
 * 加载待办列表
 * @param {Object} mobileTaskInfoList 待办列表
 */
function taskList_append(mobileTaskInfoList) {
	console.log("追加数据"+mobileTaskInfoList.length);
	var table = document.body.querySelector('.mui-table-view');
	var cells = document.body.querySelectorAll('.taskLi');
plus.webview.currentWebview().parent().evalJS('onloadtitle("'+mobileTaskInfoList.length+'")');
	for(var i = 0, len = mobileTaskInfoList.length; i < len; i++) {

		var task = mobileTaskInfoList[i];
		var li = document.createElement('li');
		li.setAttribute("id", task.archivesId);
		li.setAttribute("title", task.subject);
		li.setAttribute("priority", task.PRIORITY_);
		li.setAttribute("flowFullName", task.flowFullName);
		li.setAttribute("activityName", task.subject);
		li.setAttribute("class", "taskLi")
		li.setAttribute("flowType",task.flowType);
		
		var h2 = '<h2 class="list_pro_title">' + task.subject + '</h2>';
		var p = '<p class="list_pro_time">' + task.createTimeFormat + '</p>';
		var span = '';
		if(task.PRIORITY_ == 0) {
			span = '<span class="urgent"></span>';
		} else if(task.PRIORITY_ == 1) {
			span = '<span class="urgent "><img src="img/icon_urgent_2.png" style="width: 32px;"/></span>';
		} else if(task.PRIORITY_ == 2) {
			span = '<span class="urgent "><img src="img/icon_urgent_1.png" style="width: 32px;"/></span>';
		}
		li.innerHTML = h2 + p + span;
		table.appendChild(li);
	}
	mui('#list').on('tap', 'li', function() {
		var taskId = this.getAttribute("id");
		var taskName = this.getAttribute("title");
		var priority = this.getAttribute("priority");
		var flowFullName = this.getAttribute("flowFullName");
		var activityName = this.getAttribute("activityName");
		
		var  flowType = this.getAttribute("flowType");
	 
		// 保存缓存  
        localStorage.setItem("flowType",""+flowType) //存储名字为name值为caibin的变量
// 读取缓存  
        var flowTypeName = localStorage.getItem("flowType") //caibin,读取保存在localStorage对象里名为name的变量的值
       
        console.log("+++++++++++++++++++" + flowTypeName);
//      alert("+++++++++进入++++++++++++++++====S++++++++M");
		var params = {
			email: email,
			taskId: taskId
		};
 
		mui.openWindow({
			url: "historyDepartment.html",
			id: "historyDepartment",
			styles: {
			},
			extras: {
				params: params,
				taskName: taskName,
				priority: priority,
				flowFullName: flowType,
				flowType : flowType,
				activityName:activityName
				
			},
			
			createNew: false, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
			show: {
				autoShow: true //页面loaded事件发生后自动显示，默认为true
			},
			waiting: {
				autoShow: true, //自动显示等待框，默认为true
				title: '正在加载...' //等待对话框上显示的提示内容

			}
		})
	})
}
function delTask(taskId) {
	$("#" + taskId).remove();
}

//引导页面
var wc=null;//侧滑页面
var mask;//蒙版
//			右滑显示侧滑
window.addEventListener("swiperight",showSide,false);
//			左滑关闭侧滑页面
window.addEventListener("swipeleft",closewebView,false);
function closewebView(){
	if(wc!==null){
		wc.close("auto");
		mask.close();//关闭蒙版
	}
}
function showSide() {
	var  ws=plus.webview.currentWebview();				
	if(wc) {
		return;
	}
	// 开启遮罩
	mask= mui.createMask(closewc);//closewc为用户点击蒙版时自动执行的回调；
	mask.show();//显示遮罩
	ws.parent().evalJS('addMask("show")');
	wc = plus.webview.create("menuDetail.html", "menuDetail.html", {
		right: "75%",
		width: "25%",
		popGesture: "none"
	});
	// 侧滑页面关闭后关闭遮罩
	wc.addEventListener('close', function() {
		ws.setStyle({
			mask: "none"
		});
		wc = null;
	}, false);
	// 侧滑页面加载后显示（避免白屏）
	wc.addEventListener("loaded", function() {
		wc.show("slide-in-left");
	}, false);		
}
function closewc(data){
	if(data=="menuData"){
		closewebView();
		plus.webview.currentWebview().parent().evalJS('addMask("close")');
		pulldownRefresh_ky();
//		plus.webview.currentWebview().parent().evalJS('reloadthis()');
		return;
	}
	wc.close("auto");
	plus.webview.currentWebview().parent().evalJS('addMask("close")');
}
function closethis(){
	plus.webview.currentWebview().parent().evalJS('returnlogin()');
}
mui.plusReady(function() {
if(localStorage.getItem("Fourth")=="1"){
	$(".covers").css("display","none");
//	plus.webview.currentWebview().parent().evalJS('addMask("close")');
}else{
	$(".covers").css("display","block");
}})
mui(".parentK").on('tap','#knoww',function(){
	localStorage.setItem("Fourth","1")
	$(".covers").css("display","none");
	plus.webview.currentWebview().parent().evalJS('addMask("close")');
}) 

function getArchive(data) {
	
//	
}