var result = "";
var finish = "";
// 开始时间
(function($) {
	$.init();
	result = $('#day-left')[0];
	var btns = $('.btnstart');
	btns.each(function(i, btn) {
		btn.addEventListener('tap', function() {
			var optionsJson = '{"type":"datetime"}';
			var options = JSON.parse(optionsJson);
			var id = this.getAttribute('id');
			var picker = new $.DtPicker(options);
			picker.show(function(rs) {
				result.innerText = "" + rs.text; //返回时间字符串
				picker.dispose();
			});
		}, false);
	});
})(mui);
// 结束时间
(function($) {
	$.init();
	finish = $('#day-right')[0];
	var btns = $('.btnfinish');
	btns.each(function(i, btn) {
		btn.addEventListener('tap', function() {
			var optionsJson = '{"type":"datetime"}';
			var options = JSON.parse(optionsJson);
			var id = this.getAttribute('id');
			var picker = new $.DtPicker(options);
			picker.show(function(rs) {
				finish.innerText = "" + rs.text; //返回时间字符串
				picker.dispose();
			});
		}, false);
	});
})(mui);

// 接收传值
mui.plusReady(function() {
	mui('.mui-scroll-wrapper').scroll({
		deceleration: 1 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
	});
	var self = plus.webview.currentWebview();
	document.getElementById("content").innerText = self.content;
	document.getElementById("title").innerText = self.summary;
	document.getElementById("day-left").innerText = self.resultStartdate;
	document.getElementById("day-right").innerText = self.resultEnddate;
})


// 保存按钮点击
function edit() {
	// 内容非空判断
	if(document.getElementById("title").value == "") {
		mui.toast("请输入标题！");
		return;
	}
	if(document.getElementById("content").value == "") {
		mui.toast("请输入内容！");
		return;
	}
	if(result.innerText == "请选择" || finish.innerText == "请选择") {
		mui.toast("请选择时间！");
		return;
	}
	var params = {

		startDate: result.innerText,
		endDate: finish.innerText,
		summary: "更改了没有", //标题
		content: document.getElementById("content").value, //内容
		meodthType: "update", //唯一标示
		planId: localStorage.getItem("planId")
	}
	console.log(JSON.stringify(params));
	plus.nativeUI.showWaiting("提交中...");
	// 添加日程接口
	var ip = localStorage.getItem("ip");
	url = url.replace("ip", ip);
	var taskUrl = url + "operateMyCalenderPlan";
//	var taskUrl = "http://ccsmobile.ccs.org.cn/MobileService/ws/officeMobileService/operateMyCalenderPlan";
	var returnData;
	mui.ajax(taskUrl, {
		crossDomain: true,
		data: 'info=' + JSON.stringify(params),
		dataType: 'json',
		type: 'post',
		timeout: 30000,
		async: false,
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		success: function(data) {
			plus.nativeUI.closeWaiting();
//			alert(JSON.stringify(data));
			console.log(JSON.stringify(data));
			returnData = data;
			if(data.success == "1") {
				mui.toast("更改成功！");
			} else {
				mui.toast(data.messsge);
			}
			// 提交成功，结束页面
			mui.currentWebview.close();
		},
		error: function(xhr, type, errorThrown) {
			mui.toast("服务器连接错误!");
			console.log("服务器连接错误!");
		}
	});
	return returnData;
}